int trigPin = 11;  //Trig
int echoPin = 10;    //Echo
unsigned long duration;
float cm, inches;

void setup() {
  Serial.begin (9600);
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
}

void loop() {
//clear off
  digitalWrite(trigPin, LOW);
  delayMicroseconds(5);

// create a pulse to the trigger
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10); // the trigger pulse is 10 microsecond apart
  digitalWrite(trigPin, LOW);

//listen to echo pin  
  duration = pulseIn(echoPin, HIGH); //measuring duration of pulse
  float cm = (duration/2.0)*0.034;  //all number in equation should carry decimal place
                                    // **including integers**
  float inches = cm*0.393700787; 
    
  Serial.print("duration of pulse: ");
  Serial.print(duration);
  Serial.println(" microsecond"); 

  Serial.print("distance in cm: ");
  Serial.print(cm, 1);  //limit the output to have only 1 decimal place
  Serial.println(" cm");   

  Serial.print("distance in inches: ");
  Serial.print(inches, 1);
  Serial.println(" inches");   

//repeat every 2s
  delay(2000); 

}
